<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="get_links_in_mail">
      <querytext>
      
    select l.link_id, l.url, count(c.link_id) as clicks
    from mail_links l, mail_link_mail_map m, mail_link_clicks c
    where m.link_id = l.link_id
    and m.mail_id = :mail_job_id
    and c.mail_id (+) = m.mail_id
    and c.link_id (+) = m.link_id
    group by l.link_id, l.url

      </querytext>
</fullquery>

 
</queryset>
