<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="unsubscribe_user">
      <querytext>
      
		update ml_mailing_list_user_map
		set subscribed_p = 'f',
	            unsubscription_date = sysdate
		where list_id = :list_id
		and user_id = :user_id
	    
      </querytext>
</fullquery>

 
<fullquery name="add_user_entry">
      <querytext>
      
		    insert into ml_mailing_list_user_map
		    (list_id, user_id, subscribed_p, subscription_date)
		    values (:list_id, :user_id, 't', sysdate)
		
      </querytext>
</fullquery>

 
<fullquery name="subscribe_user">
      <querytext>
      
		    update ml_mailing_list_user_map
		    set subscribed_p = 't',
		        subscription_date = sysdate
		    where list_id = :list_id
		    and user_id = :user_id
		
      </querytext>
</fullquery>

 
</queryset>
