<?xml version="1.0"?>

<queryset>
   <rdbms><type>postgresql</type><version>7.1</version></rdbms>

<fullquery name="get_job_data">
      <querytext>

    select j.subject, j.text_header, j.text_body, j.text_footer, j.html_header,
           j.html_body, j.html_footer, j.mails_sent, j.mails_bounced, j.state,
           j.track_links_p, p.first_names || ' ' || p.last_name as user_name,
           to_char(j.execution_date, 'YYYY-MM-DD HH24:MI') as execution_date,
           r.title as css_filename, r.content_length as css_file_length,
           j.sender_email, c.name as class_name, j.template_p, j.mime_type,
           j.selection_id, j.list_id
    from ml_mail_classes c 
    	 inner join ml_mail_jobs j using (mail_class_id)
	 inner join acs_objects o on
	       (o.object_id = j.mail_job_id)	            
	 inner join persons p on
	       (p.person_id = o.creation_user)
	 left outer join cr_revisions r on
	       (r.revision_id = j.css_revision_id)
    where j.mail_job_id = :mail_job_id

      </querytext>
</fullquery>

 
</queryset>
