ad_page_contract {
Who is subscribed to this list?
} {
    list_id:integer,notnull
}

set package_id [ad_conn package_id]
set user_id [ad_conn user_id]


permission::require_permission -object_id $list_id -privilege admin

template::list::create \
    -name subscribers \
    -multirow subscribers \
    -key user_id \
    -bulk_actions {
	"Unsubscribe" "user-unsubscribe" "Unsubscribe checked users"
    } \
    -bulk_action_method post -bulk_action_export_vars {
	list_id
    } \
    -elements {
	full_name {label "Name"
	    link_url_col user_url
	    link_html {user_id}
	}

    }



db_multirow -extend {user_url}  subscribers subscribers "" {
    set user_url [acs_community_member_admin_url -user_id $user_id]
} 
					 
set context_bar [list [list "." Administration] "Mailing List Suscribers"]
set export_vars [export_form_vars list_id]

ad_return_template
